linux: 3.5.0-42.65 -proposed tracker

Bug #1233787 reported by Brad Figg on 2013-10-01
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Brad Figg
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-42.65 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 01. October 2013 18:05 UTC
kernel-stable-Prepare-package-end:Wednesday, 02. October 2013 01:10 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 02. October 2013 01:10 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 02. October 2013 06:02 UTC
kernel-stable-Verification-testing-start:Wednesday, 02. October 2013 07:03 UTC
kernel-stable-Certification-testing-start:Wednesday, 02. October 2013 07:03 UTC
kernel-stable-Security-signoff-start:Wednesday, 02. October 2013 07:03 UTC
kernel-stable-Regression-testing-start:Wednesday, 02. October 2013 07:03 UTC
kernel-stable-Regression-testing-end:Thursday, 03. October 2013 01:02 UTC
kernel-stable-Security-signoff-end:Thursday, 10. October 2013 07:02 UTC
kernel-stable-Certification-testing-end:Friday, 11. October 2013 15:02 UTC
kernel-stable-Promote-to-updates-start:Monday, 14. October 2013 23:02 UTC
kernel-stable-Promote-to-updates-end:Monday, 21. October 2013 17:03 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 21. October 2013 18:05 UTC

CVE References

Brad Figg (brad-figg) on 2013-10-01
tags: added: kernel-release-tracking-bug
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1233918
linux-armadaxp - bug 1233919
linux-lowlatency - bug 1233921

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1233922

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-10-02
description: updated
Brad Figg (brad-figg) on 2013-10-02
description: updated
Paul Larson (pwlars) on 2013-10-03
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-10-03
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-10-10
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have begun testing this -proposed kernel

Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have completed testing this -proposed kernel. No regressions were observed.
The report is available at: http://people.canonical.com/~hwcert/sru-testing/quantal/3.5.0-42.65/quantal-proposed.html

tags: added: certification-testing-passed

The verification-testing task was not set to one of the following states during the release test:
Fix Released,
verification-testing task was set to state In Progress
Further processing of this bug by Workflow Manager is halted.

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
Brad Figg (brad-figg) on 2013-10-14
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2013-10-14
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-42.65

---------------
linux (3.5.0-42.65) quantal; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1233787

  [ Upstream Kernel Changes ]

  * drm/i915: Make data/link N value power of two
    - LP: #1212376
  * isofs: Refuse RW mount of the filesystem instead of making it RO
    - LP: #1228751
  * udf: Standardize return values in mount sequence
    - LP: #1228751
  * udf: Refuse RW mount of the filesystem instead of making it RO
    - LP: #1228751
  * cciss: fix info leak in cciss_ioctl32_passthru()
    - LP: #1188355
    - CVE-2013-2147
  * cpqarray: fix info leak in ida_locked_ioctl()
    - LP: #1188355
    - CVE-2013-2147
 -- Brad Figg <email address hidden> Tue, 01 Oct 2013 11:10:13 -0700

Changed in linux (Ubuntu Quantal):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-10-21
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers